<!DOCTYPE html>
<html>
    <head>
        <title>Aide à la précarité</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" type="text/css" href="css/style.css">
        <meta charset="UTF-8">
    </head>
	<body>	
		<header>
			<nav>
				<a id="but_menu"><img id="barre_menu" src="img/menu_icon.png" alt=""></a>
				<a href="index.html"><h1><b>Aide à la précarité</b></h1></a>
				
				<div id="menu_pc">
				
					<a class="but_aide">Les aides</a>
					<a href="selfie.html">Un selfie ?</a>
					<a href="team.html">L'équipe</a>
					<ul>
						<li class="sous_menu">
							<a href="bourse.html">Bourse</a>
							<a href="logement.html">Logement</a>
                            <!--<a href="transport.html">Transport</a>-->
							<a href="sante.html">Santé</a>
						</li>
					</ul>
				</div>
				
				<div id="menu">
					<a class="but_aide">Les aides</a>
					<div class="sous_menu">
						<a href="bourse.html">Bourse</a>
						<a href="logement.html">Logement</a>
						<!--<a href="transport.html">Transport</a>-->
						<a href="sante.html">Santé</a>
					</div>
					<a href="selfie.html">un selfie ?</a>
					<a href="team.html">L'équipe</a>
				</div>
			</nav>
		</header>	
        <main>
			<section>
				<h1>Aide à la bourse</h1>
				<p>Les bourses sont une chose importante pour tout étudiant. <br>
					En effet elles permettent à toute personne éligible d’avoir un minimum d’économie de la part de l’Etat.<br>
					National, Régionale et même communale ! Toute les bourses sont la mais elles ne sont que très peu popularisé. <br>
					C’est pour cela que nous vous proposons en fonction de votre géolocalisation plusieurs bourses possible. <br>
					Cependant à vous de voir si vous êtes éligible et a vous de faire les démarches. <br>Pensez y !<br><br>
					Pour visionner toutes les aides de votre région, activez votre localisation en cliquant sur le boutton ci-dessous
				</p>
				<input type="button" id="launch_geo" name="Launch_Geo" value="Activer ma géolocalisation" onclick="findregion()">
				<div id="aide_region"></div>
			</section>
		</main>

		<script src="js/jquery.js"></script>
		<script src="js/script.js"></script>
	</body>
	<script type="text/javascript" src="js/region.js" ></script>
	<script type="text/javascript">
		var options = {
			enableHighAccuracy: true,
			timeout: 5000,
			maximumAge: 0
		};

		function findregion(){
			function success(pos) {
				var crd = pos.coords;
				var long = crd.latitude;
				var lat = crd.longitude;
				var requestURL = 'https://api-adresse.data.gouv.fr/reverse/?lon='+crd.longitude+'&lat='+crd.latitude;
				var request = new XMLHttpRequest();
				request.open('GET', requestURL);
				request.responseType = 'json';
				request.send();

				request.onload = function() {
					var geoapi = request.response;
					var geoapi = geoapi.features[0].properties.context;
					var region = geoapi.split(', ')[2];
					show_region_help(switch_region(region));
					
				}
			}

			function error(err) {
				console.warn(`ERREUR (${err.code}): ${err.message}`);
			}

			navigator.geolocation.getCurrentPosition(success, error, options);
		}

		function show_region_help(id_region) {
			var page = "";
			page = page +"<table><tr><th>Nom</th><th>Description</th><th>Prix</th><th>Lien</th></tr>";
			for(var i = 0; i < region_js.region[id_region].aide_regional.length; i++){
				page = page + "<tr>";
				for(var j = 0; j < region_js.region[id_region].aide_regional[i].length; j++){
					if(j==3){
						page = page + "<td><a href='"+region_js.region[id_region].aide_regional[i][j+1]+"'>"+region_js.region[id_region].aide_regional[i][j]+"</a></td>";
					} else if(j<3){
						page = page + "<td>" + region_js.region[id_region].aide_regional[i][j] + "</td>";
					} else if(j==4){

					}
				}
				page = page + "</tr>";
			}
			page = page +"</table>";
			document.getElementById("aide_region").innerHTML = page;
		}

		function switch_region(region){
			for(var i = 0; i < region_js.region.length;i++){
				if(region == region_js.region[i].name){
					return i;
				}
			}
		}

	</script>
</html>